Foreman - Bug #32121

Puppetclass creation audits are not correctly taxed
03/18/2021 01:56 PM - Ondrej Ezr

Status: Closed
Priority: Normal
Assignee: Ondfrej Ezr
Category: Puppet integration
Target version: 25.0
Difficulty: Fixed in Releases: 2.5.0
Triaged: No Found in Releases:
Bugzilla link: 1806462 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/8404
Description

In Audit logs, Filter type = puppetclass do not list any creation result

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1806462

Description of problem:

Select Taxonomies that the puppetclasses are in.

Monitor -> Audits, The filter type = puppetclass is not working and shows no audits for created classes
Version-Release number of selected component (if applicable): Foreman 2.0

How reproducible:

Only in Taxonomy scope.
If we select Any organization and Any location we see the audits correctly

Associated revisions

Revision 734423d7 - 04/12/2021 09:51 AM - Ondiej Ezr

Fixes #32121 - Puppetclass create audit taxonomy

On Puppetclass create, there are no persisted EnvironmentClasses yet,
so location_ids and organization_ids were always empty on create.

This allows to save EnvironmentClasses with Puppetclasses together and
thus get the location_ids and organization_ids from the unsaved
EnvironmentClasses. Thus the audit for Puppetclass will get correctly
taxed.

History

#1 - 03/18/2021 01:57 PM - Ondfej Ezr

- Subject changed from Puppetclass creation audits are not correctly taxed
to Puppetclass creation audits are not correctly taxed

- Category changed from Audit Log to Puppet integration

#2 - 03/18/2021 01:58 PM - Ondfej Ezr

- Target version set to 2.5.0

#3 - 03/18/2021 02:24 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ondrej Ezr

- Pull request https://github.com/theforeman/foreman/pull/8404 added
https://bugzilla.redhat.com/show_bug.cgi?id=1806462

#4 - 04/12/2021 09:51 AM - The Foreman Bot
- Fixed in Releases 2.5.0 added

#5 - 04/12/2021 10:01 AM - Ondrej Ezr
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|734423d7aa6972c06bca549ad4aeec260a2748226.

05/17/2024

22


https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/734423d7aa6972c06bca549a4aeec260a2748226
http://www.tcpdf.org

